> ## Documentation Index
> Fetch the complete documentation index at: https://developers.ambersearch.de/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

> Retrieve a list of available AI models.

This endpoint is for getting the model identifiers, which are needed to create chat completions.


<RequestExample>
  ```bash cURL theme={null}
  curl "https://customerDomain.ambersearch.de/api/beta/amberai/models" \
  -H "Authorization: Bearer ambrs-exampletoken"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://customerDomain.ambersearch.de/api/beta/amberai/models",
      headers = {
          "Authorization": "Bearer ambrs-exampletoken"
      }
  )
  print(response.json())
  ```

  ```javascript Javascript theme={null}
  const axios = require("axios");

  axios
      .get("https://customerDomain.ambersearch.de/api/beta/amberai/models", {
          headers: {
              Authorization: "Bearer ambrs-exampletoken",
          },
      })
      .then((res) => console.log(res.data));
  ```
</RequestExample>


## OpenAPI

````yaml get /api/beta/amberai/models
openapi: 3.1.0
info:
  title: amber
  version: v0.1.46
servers:
  - url: https://{customerDomain}.ambersearch.de
    variables:
      customerDomain:
        default: customerDomain
security: []
paths:
  /api/beta/amberai/models:
    get:
      tags:
        - openai
      summary: List Models
      description: List models
      operationId: list_models_api_beta_amberai_models_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Models'
      security:
        - Bearer: []
components:
  schemas:
    Models:
      properties:
        object:
          type: string
          title: Object
          default: list
        data:
          items:
            $ref: '#/components/schemas/Model'
          type: array
          title: Data
      type: object
      title: Models
    Model:
      properties:
        id:
          type: string
          title: Id
        created:
          type: integer
          title: Created
          default: 0
        object:
          type: string
          title: Object
          default: model
        owned_by:
          type: string
          title: Owned By
          default: amberSearch
      type: object
      required:
        - id
      title: Model
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````